<template>
  <div id="Regulations" class="modalBox" @click="outRegulations($event)">
    <div class="modal">
      <div id="regulationsBox" class="center">
        <div class="row align-center modal-title orange">
          <p>服務條款</p>
          <i class="fas fa-times" @click="hideRegulations()"></i>
        </div>
        <div class="modal-text1 text-center">
          <div class="text">
            <p>一、遵守會員規範及法律規定：</p>
            <div>您瞭解您註冊成為會員後，即可使用本公司所提供之各項服務(以下稱本服務)。當會員使用本服務時，即表示除了同意遵守本服務條款外，還同意接受本公司對會員規範(包括各項遊戲規則、球賽投注規則、公告及注意事項等)及相關法令規定之拘束，本公司 大聖娛樂城 所有產品與客戶服務、軟件系統、網絡架構等相關業務事宜，皆由菲律賓娛樂和博彩認證機構PAGCOR所授權和監管之合法線上娛樂公司，使用本服務之會員請遵守使用者當地法令之許可，如有違反之情事恕非本服務之負責範圍。</div>
            <p>二、服務簡介：</p>
            <div>(一)本公司旨在創造一個『安全可靠』、『即時便利』、『公平公正』、『專業營運』的優質娛樂服務平台，強調的是讓會員不受時空的限制，24小時隨時上線就可以參與一個公平公正的遊戲，亦可以享受到與世界各地玩家切磋的樂趣，我們秉持以客為尊的態度，不斷開發創新及了解客戶需求是本公司引以為傲的經營理念，冀望能創造出嶄新的娛樂價值以及達到多方普及的目的，成為具有領導指標性的娛樂網站。</div>
            <div>(二)虛擬貨幣銀行服務：本公司提供網路金流付費平台，你所購買的點數將可享受符合本公司平台的服務。若您使用虛偽不正之方式進行「儲值」，本公司也將保留隨時終止您會員資格及使用各項服務之權利。</div>
            <p>三、真實登錄義務：</p>
            <div>基於本公司所提供之各項服務，您同意於註冊時依註冊申請程序所提示之項目，登錄您本人正確、真實及完整之個人資料；當您的個人資料有異動時，請立即更新，以維持您個人資料之正確、真實及完整。如因您登錄不實資料或冒用他人名義以致於侵害他人之權利或違法時，應自負法律責任；並同意您所提供之個人資料不實或個人資料有異動但沒有更新以致於與原登錄之資料不符時，本公司有權隨時終止您的會員資格及使用各項會員服務之權利。</div>
            <p>四、服務之停止與更改：</p>
            <div>1.會員登錄之資料不實。</div>
            <div>2.使用他人的名義申請本服務。</div>
            <div>3.違反遊戲公平原則。</div>
            <div>4.參與遊戲或比賽時，故意鑽研系統漏洞或利用遊戲弱點以影響結果。</div>
            <div>5.違反本服務條款時。</div>
            <div>6.本公司不允許不公平的下注方式、雙邊下注、無風險下注及任何無風險解凍之下注方式，如有發現上述問題之玩家，本公司有終止玩家帳號使用之權力。如有任何爭議問題，本公司有最終決定權。無論任何情形，就停止或更改服務或終止會員帳戶服務所可能產生之困擾、不便或損害，本服務對任何會員或第三人均不負任何責任。</div>
            <p>五、服務暫停或中斷：</p>
            <div>(一)本公司於下列情形之一時，得暫停或中斷本服務之全部或一部，對於使用者不負擔任何賠償責任：</div>
            <div>1.對於本服務相關系統設備進行遷移、更換或維護時。</div>
            <div>2.因不可歸責於本公司所造成服務停止或中斷。</div>
            <div>3.因不可抗力所造成服務停止或中斷。</div>
            <div>(二)如因本公司對於本網站相關系統設備進行遷移、更換或維護而必須暫停或中斷全部或一部之服務時，本公司於暫停或中斷前將以電子郵件通知或於本網站上公告。</div>
            <div>(三)對於本服務之暫停或中斷，可能造成您使用上的不便、資料遺失或其他經濟及時間上之損失，您平時應採取適當的防護措施，以保障您的權益。</div>
            <p>六、保管義務：</p>
            <div>會員有義務妥善保管在本網站之帳號與密碼，並為此組帳號與密碼登入系統後所進行之一切活動負責。為維護會員自身權益，請勿將帳號與密碼轉讓、交付、揭露或出借予他人使用，如因而產生糾紛由會員自行負責。</div>
            <p>七、同意各項球賽及遊戲規則：</p>
            <div>為避免使用者於本平台投注球賽或遊戲時產生爭議，各項規則於遊戲中心和球賽中心均有詳細說明，請務必詳細閱讀本服務所定之各項規則，會員一經開始使用本服務，即被視為已接受所有之規定。</div>
            <p>八、會員規範之增訂及修改：</p>
            <div>本服務條款如有增訂或修改，您同意自該修訂條款於本網站公告之時起受其拘束，本網站將不對會員個別通知。如您於公告後繼續使用本服務，則視為您已經同意該修訂條款。</div>
            <p>九、隱私權聲明：</p>
            <div>我們致力為客戶保護隱私並提供一個最安全的遊戲平臺，我們在此網站搜集的資料將會為您提供最卓越的服務，我們不會出賣或租賃您的個人資料給第三方，客戶所提供的個人資料均經過SSL128加密技術處理，並儲存在安全的、非公開的作業系統，對於有機會接觸客戶的個人資料的協助夥伴也必需遵守我們訂立的隱私保密規則。</div>
            <p>十、免責聲明：</p>
            <div>部份地區或國家法律尚未明定線上博彩的合法性問題，甚至某些地區或國家已明確規範線上博彩為非法行為。我們無意邀請任何人在這些地區或國家非法使用本服務平台。使用者必需確定在您所居住的地區或國家使用線上博彩是否合法，並負完全的責任，使用本服務之會員請遵守使用者當地法令之許可，如有違反之情事恕非本公司之負責範圍。</div>
          </div>
          <div class="ico-user ico-user-5 desktop"></div>
        </div>
      </div>
    </div>
  </div>
</template> 

<script>
module.exports = {
  data() {
    return {};
  },
  mounted() {},
  methods: {
    hideRegulations() {
      if (annType) {
        $("body").removeClass("hide");
        $(".modalBox").hide();
      } else {
        let getUrl = window.location.pathname;
        if(getUrl.indexOf('register') >= 0) {
          $(`#Regulations .modal>div`).removeClass("active");
          setTimeout(function() {
            $("body").removeClass("hide");
            $(".modalBox").hide();
          }, 300)
        } else {
          $(`#Regulations .modal>div`).removeClass("active");
          setTimeout(function() {
            $(".modalBox").hide();
            $("#Register").show();
          }, 300)
          this.modalPosition("Register");
        }
      }
    },
    outRegulations(event) {
      if (!$(event.target).closest(".modal > div").length) {
        if (annType) {
          $(`#Regulations .modal>div`).removeClass("active");
          setTimeout(function() {
            $("body").removeClass("hide");
            $(".modalBox").hide();
          }, 300)
        } else {
          let getUrl = window.location.pathname;
          if(getUrl.indexOf('register') >= 0) {
            $(`#Regulations .modal>div`).removeClass("active");
            setTimeout(function() {
              $("body").removeClass("hide");
              $(".modalBox").hide();
            }, 300)
          } else {
            $(`#Regulations .modal>div`).removeClass("active");
            setTimeout(function() {
              $(".modalBox").hide();
              $("#Register").show();
            }, 300)
            this.modalPosition("Register");
          }
        }
      }
    },
    modalPosition(name) {
      setTimeout(function() {
        let el = `#${name} .modal > div`;
        let winHigh = $(window).height();
        let modalHigh = $(el).height() + 40;
        if (modalHigh < winHigh) {
          $(el).removeClass("top");
          $(el).addClass("center");
        } else {
          $(el).addClass("top");
          $(el).removeClass("center");
        }
      }, 300)
    },
  },
};
</script>
